#! /bin/bash
# generated by collect_git_add_recursively.sh

pushd $(dirname $0)                                                             2> /dev/null   > /dev/null
cd ..

mode="d"

getopts ":fqh" opt
#echo opt+arg = "$opt$OPTARG"
case "$opt$OPTARG" in
f )
  echo "--- check out master/HEAD before registering all git remotes ---"
  for (( i=OPTIND; i > 1; i-- )) do
    shift
  done
  #echo args: $@
  mode="f"

  git submodule sync
  git submodule update --init
  git submodule update --init --recursive

  util/git_checkout_submodules_head.sh
  ;;

"?" )
  echo "--- set up git remotes only ---"
  ;;

q )
  echo "--- set up git remotes only ---"
  for (( i=OPTIND; i > 1; i-- )) do
    shift
  done
  #echo args: $@
  mode="q"
  ;;

* )
  cat <<EOT
$0 [-f] [-q] [submodule-paths]

set up git remotes for any / all submodules.

-f       : 'full featured', i.e. check out the preferred branch for each submodule
           and register all submodule remotes.
-q       : 'quick', i.e. only register all submodule remotes.
submodule-paths
         : when you specify one or more submodule directories, than only the
           remotes for those submodules will be set up.
           This is optional; the default sets up the remotes for ALL submodules.

EOT
  exit
  ;;
esac


submodule=xxxxxx

# args: (path, name, repo, argc, argv...)
function register_remote {
    argc=$#
    argv=("$@")
    path=$1
    name=$2
    repo=$3
    #echo register_remote [$path] [$name] [$repo] [$argc] [...]

    # only when paths have been specified on the commandline do we check whether the given remote should be registered
    # (apart from the separate check to see if the submodule has actually been installed, see further below)
    if test $argc -gt 4 ; then
        hit=0
        for ((i=4; i < $argc; i++)); do
            #echo testing dir $i: ${argv[$i]}
            if test ${argv[$i]} = $path ; then
                hit=1
                break
            fi
        done
    else
        hit=1
    fi

    if test $hit -ne 0 ; then
        if test -d $path && test -s $path/.git ; then
            if test $submodule != $path ; then
                echo -------------------------------------------------------------------------------------
                echo submodule:: $path
                submodule=$path
            fi
            pushd $path                                                         2> /dev/null   > /dev/null
            if test "$mode" = "f" ; then
                git remote rm $name
            fi
            git remote add $name $repo
            popd                                                                2> /dev/null   > /dev/null
        fi
    fi
}






register_remote src/sizzle                                                    ChadKillingsworth                        git@github.com:ChadKillingsworth/sizzle.git                                      $# $@
register_remote src/sizzle                                                    ChrisAntaki                              git@github.com:ChrisAntaki/sizzle.git                                            $# $@
register_remote src/sizzle                                                    GerHobbelt                               git@github.com:GerHobbelt/sizzle.git                                             $# $@
register_remote src/sizzle                                                    JKLFA                                    git@github.com:JKLFA/sizzle.git                                                  $# $@
register_remote src/sizzle                                                    Krinkle                                  git@github.com:Krinkle/sizzle.git                                                $# $@
register_remote src/sizzle                                                    LosTFx                                   git@github.com:LosTFx/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    Naddiseo                                 git@github.com:Naddiseo/sizzle.git                                               $# $@
register_remote src/sizzle                                                    amccollum                                git@github.com:amccollum/sizzle.git                                              $# $@
register_remote src/sizzle                                                    azakus                                   git@github.com:azakus/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    barberboy                                git@github.com:barberboy/sizzle.git                                              $# $@
register_remote src/sizzle                                                    benjackson84                             git@github.com:benjackson84/sizzle.git                                           $# $@
register_remote src/sizzle                                                    benmmurphy                               git@github.com:benmmurphy/sizzle.git                                             $# $@
register_remote src/sizzle                                                    bevacqua                                 git@github.com:bevacqua/sizzle.git                                               $# $@
register_remote src/sizzle                                                    bigfix                                   git@github.com:bigfix/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    bkardell                                 git@github.com:bkardell/sizzle.git                                               $# $@
register_remote src/sizzle                                                    bmar                                     git@github.com:bmar/sizzle.git                                                   $# $@
register_remote src/sizzle                                                    chuyeow                                  git@github.com:chuyeow/sizzle.git                                                $# $@
register_remote src/sizzle                                                    cluster                                  git@github.com:cluster/sizzle.git                                                $# $@
register_remote src/sizzle                                                    cmcnulty                                 git@github.com:cmcnulty/sizzle.git                                               $# $@
register_remote src/sizzle                                                    cristiandouce                            git@github.com:cristiandouce/sizzle.git                                          $# $@
register_remote src/sizzle                                                    cyril-sf                                 git@github.com:cyril-sf/sizzle.git                                               $# $@
register_remote src/sizzle                                                    danburzo                                 git@github.com:danburzo/sizzle.git                                               $# $@
register_remote src/sizzle                                                    davidcrawford                            git@github.com:davidcrawford/sizzle.git                                          $# $@
register_remote src/sizzle                                                    davidmurdoch                             git@github.com:davidmurdoch/sizzle.git                                           $# $@
register_remote src/sizzle                                                    dcherman                                 git@github.com:dcherman/sizzle.git                                               $# $@
register_remote src/sizzle                                                    deadlyicon                               git@github.com:deadlyicon/sizzle.git                                             $# $@
register_remote src/sizzle                                                    dgalvez                                  git@github.com:dgalvez/sizzle.git                                                $# $@
register_remote src/sizzle                                                    diegotres                                git@github.com:diegotres/sizzle.git                                              $# $@
register_remote src/sizzle                                                    dmethvin                                 git@github.com:dmethvin/sizzle.git                                               $# $@
register_remote src/sizzle                                                    dongseok0                                git@github.com:dongseok0/sizzle.git                                              $# $@
register_remote src/sizzle                                                    dshaw                                    git@github.com:dshaw/sizzle.git                                                  $# $@
register_remote src/sizzle                                                    emrox                                    git@github.com:emrox/sizzle.git                                                  $# $@
register_remote src/sizzle                                                    ericbock                                 git@github.com:ericbock/sizzle.git                                               $# $@
register_remote src/sizzle                                                    filmaj                                   git@github.com:filmaj/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    foresthz                                 git@github.com:foresthz/sizzle.git                                               $# $@
register_remote src/sizzle                                                    fredj                                    git@github.com:fredj/sizzle.git                                                  $# $@
register_remote src/sizzle                                                    gibson042                                git@github.com:gibson042/sizzle.git                                              $# $@
register_remote src/sizzle                                                    gyagp                                    git@github.com:gyagp/sizzle.git                                                  $# $@
register_remote src/sizzle                                                    hwiechers                                git@github.com:hwiechers/sizzle.git                                              $# $@
register_remote src/sizzle                                                    ichthyos                                 git@github.com:ichthyos/sizzle.git                                               $# $@
register_remote src/sizzle                                                    jabouillei                               git@github.com:jabouillei/sizzle.git                                             $# $@
register_remote src/sizzle                                                    johan                                    git@github.com:johan/sizzle.git                                                  $# $@
register_remote src/sizzle                                                    jonathansampson                          git@github.com:jonathansampson/sizzle.git                                        $# $@
register_remote src/sizzle                                                    jquery                                   git@github.com:jquery/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    jquery-original                          git@github.com:jquery/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    jryans                                   git@github.com:jryans/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    jure                                     git@github.com:jure/sizzle.git                                                   $# $@
register_remote src/sizzle                                                    kriszyp                                  git@github.com:kriszyp/sizzle.git                                                $# $@
register_remote src/sizzle                                                    kumu                                     git@github.com:kumu/kizzle.git                                                   $# $@
register_remote src/sizzle                                                    langpavel                                git@github.com:langpavel/sizzle.git                                              $# $@
register_remote src/sizzle                                                    linuxwolf                                git@github.com:linuxwolf/sizzle.git                                              $# $@
register_remote src/sizzle                                                    markelog                                 git@github.com:markelog/sizzle.git                                               $# $@
register_remote src/sizzle                                                    mikerudolph                              git@github.com:mikerudolph/sizzle.git                                            $# $@
register_remote src/sizzle                                                    mikesherov                               git@github.com:mikesherov/sizzle.git                                             $# $@
register_remote src/sizzle                                                    miketaylr                                git@github.com:miketaylr/sizzle.git                                              $# $@
register_remote src/sizzle                                                    murz                                     git@github.com:murz/sizzle.git                                                   $# $@
register_remote src/sizzle                                                    oost                                     git@github.com:oost/sizzle.git                                                   $# $@
register_remote src/sizzle                                                    paladox2015                              git@github.com:paladox2015/sizzle.git                                            $# $@
register_remote src/sizzle                                                    pborreli                                 git@github.com:pborreli/sizzle.git                                               $# $@
register_remote src/sizzle                                                    qooxdoo                                  git@github.com:qooxdoo/sizzle.git                                                $# $@
register_remote src/sizzle                                                    rdeago                                   git@github.com:rdeago/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    rdworth                                  git@github.com:rdworth/sizzle.git                                                $# $@
register_remote src/sizzle                                                    remofritzsche                            git@github.com:remofritzsche/sizzle.git                                          $# $@
register_remote src/sizzle                                                    runphp                                   git@github.com:runphp/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    rvagg                                    git@github.com:rvagg/ender-sizzle.git                                            $# $@
register_remote src/sizzle                                                    rxaviers                                 git@github.com:rxaviers/sizzle.git                                               $# $@
register_remote src/sizzle                                                    savetheclocktower                        git@github.com:savetheclocktower/sizzle.git                                      $# $@
register_remote src/sizzle                                                    scottgonzalez                            git@github.com:scottgonzalez/sizzle.git                                          $# $@
register_remote src/sizzle                                                    slifszyc                                 git@github.com:slifszyc/sizzle.git                                               $# $@
register_remote src/sizzle                                                    spocke                                   git@github.com:spocke/sizzle.git                                                 $# $@
register_remote src/sizzle                                                    subtenante                               git@github.com:subtenante/sizzle.git                                             $# $@
register_remote src/sizzle                                                    timmywil                                 git@github.com:timmywil/sizzle.git                                               $# $@
register_remote src/sizzle                                                    tnishino                                 git@github.com:tnishino/sizzle.git                                               $# $@
register_remote src/sizzle                                                    tobiashm                                 git@github.com:tobiashm/sizzle.git                                               $# $@
register_remote src/sizzle                                                    veged                                    git@github.com:veged/sizzle.git                                                  $# $@
register_remote src/sizzle                                                    walkingeyerobot                          git@github.com:walkingeyerobot/sizzle.git                                        $# $@
register_remote test/qunit                                                    Cside                                    git@github.com:Cside/qunit.git                                                   $# $@
register_remote test/qunit                                                    DanielBaulig                             git@github.com:DanielBaulig/qunit.git                                            $# $@
register_remote test/qunit                                                    DarkPark                                 git@github.com:DarkPark/qunit.git                                                $# $@
register_remote test/qunit                                                    FND                                      git@github.com:FND/qunit.git                                                     $# $@
register_remote test/qunit                                                    FarSeeing                                git@github.com:FarSeeing/qunit.git                                               $# $@
register_remote test/qunit                                                    GerHobbelt                               git@github.com:GerHobbelt/qunit.git                                              $# $@
register_remote test/qunit                                                    JamesMGreene                             git@github.com:JamesMGreene/qunit.git                                            $# $@
register_remote test/qunit                                                    KnownSubset                              git@github.com:KnownSubset/qunit.git                                             $# $@
register_remote test/qunit                                                    Krinkle                                  git@github.com:Krinkle/qunit.git                                                 $# $@
register_remote test/qunit                                                    MarcDiethelm                             git@github.com:MarcDiethelm/qunit.git                                            $# $@
register_remote test/qunit                                                    NV                                       git@github.com:NV/qunit.git                                                      $# $@
register_remote test/qunit                                                    Nomon                                    git@github.com:Nomon/qunit.git                                                   $# $@
register_remote test/qunit                                                    PeterDaveHello                           git@github.com:PeterDaveHello/qunit.git                                          $# $@
register_remote test/qunit                                                    Qazzian                                  git@github.com:Qazzian/qunit.git                                                 $# $@
register_remote test/qunit                                                    RyanS                                    git@github.com:RyanS/qunit.git                                                   $# $@
register_remote test/qunit                                                    Walexander                               git@github.com:Walexander/qunit.git                                              $# $@
register_remote test/qunit                                                    adamsea                                  git@github.com:adamsea/qunit.git                                                 $# $@
register_remote test/qunit                                                    ajsutton                                 git@github.com:ajsutton/qunit.git                                                $# $@
register_remote test/qunit                                                    albert-mirzoyan                          git@github.com:albert-mirzoyan/qunit.git                                         $# $@
register_remote test/qunit                                                    alohaeditor                              git@github.com:alohaeditor/qunit.git                                             $# $@
register_remote test/qunit                                                    andrew-malkov                            git@github.com:andrew-malkov/qunit.git                                           $# $@
register_remote test/qunit                                                    anjlab                                   git@github.com:anjlab/qunit.git                                                  $# $@
register_remote test/qunit                                                    asynchrony                               git@github.com:asynchrony/qunit.git                                              $# $@
register_remote test/qunit                                                    bendangelo                               git@github.com:bendangelo/qunit.git                                              $# $@
register_remote test/qunit                                                    bpm                                      git@github.com:bpm/qunit.git                                                     $# $@
register_remote test/qunit                                                    cezarykluczynski                         git@github.com:cezarykluczynski/qunit.git                                        $# $@
register_remote test/qunit                                                    clog                                     git@github.com:clog/qunit.git                                                    $# $@
register_remote test/qunit                                                    cuperman                                 git@github.com:cuperman/qunit.git                                                $# $@
register_remote test/qunit                                                    curvedmark                               git@github.com:curvedmark/qunit.git                                              $# $@
register_remote test/qunit                                                    d10                                      git@github.com:d10/qunit.git                                                     $# $@
register_remote test/qunit                                                    danielgindi                              git@github.com:danielgindi/qunit.git                                             $# $@
register_remote test/qunit                                                    dcherman                                 git@github.com:dcherman/qunit.git                                                $# $@
register_remote test/qunit                                                    deadlyicon                               git@github.com:deadlyicon/qunit.git                                              $# $@
register_remote test/qunit                                                    defrex                                   git@github.com:defrex/qunit.git                                                  $# $@
register_remote test/qunit                                                    devinrhode2                              git@github.com:devinrhode2/qunit.git                                             $# $@
register_remote test/qunit                                                    dharkness                                git@github.com:dharkness/qunit.git                                               $# $@
register_remote test/qunit                                                    dksmiffs                                 git@github.com:dksmiffs/qunit.git                                                $# $@
register_remote test/qunit                                                    dotnetCarpenter                          git@github.com:dotnetCarpenter/qunit.git                                         $# $@
register_remote test/qunit                                                    dtrebbien                                git@github.com:dtrebbien/qunit.git                                               $# $@
register_remote test/qunit                                                    englercj                                 git@github.com:englercj/qunit.git                                                $# $@
register_remote test/qunit                                                    ernestohs                                git@github.com:ernestohs/qunit.git                                               $# $@
register_remote test/qunit                                                    fernandobritofl                          git@github.com:fernandobritofl/qunit.git                                         $# $@
register_remote test/qunit                                                    fgrehm                                   git@github.com:fgrehm/qunit.git                                                  $# $@
register_remote test/qunit                                                    fluid-project                            git@github.com:fluid-project/qunit.git                                           $# $@
register_remote test/qunit                                                    friesencr                                git@github.com:friesencr/qunit.git                                               $# $@
register_remote test/qunit                                                    gaboom                                   git@github.com:gaboom/qassert.git                                                $# $@
register_remote test/qunit                                                    getbpm                                   git@github.com:getbpm/qunit.git                                                  $# $@
register_remote test/qunit                                                    gibson042                                git@github.com:gibson042/qunit.git                                               $# $@
register_remote test/qunit                                                    gijsk                                    git@github.com:gijsk/qunit.git                                                   $# $@
register_remote test/qunit                                                    grork                                    git@github.com:grork/qunit.git                                                   $# $@
register_remote test/qunit                                                    gseguin                                  git@github.com:gseguin/qunit.git                                                 $# $@
register_remote test/qunit                                                    gutzofter                                git@github.com:gutzofter/qunit.git                                               $# $@
register_remote test/qunit                                                    havana59er                               git@github.com:havana59er/qunit.git                                              $# $@
register_remote test/qunit                                                    j-ulrich                                 git@github.com:j-ulrich/qunit.git                                                $# $@
register_remote test/qunit                                                    jakearchibald                            git@github.com:jakearchibald/qunit.git                                           $# $@
register_remote test/qunit                                                    jaredwy                                  git@github.com:jaredwy/qunit.git                                                 $# $@
register_remote test/qunit                                                    jespersm                                 git@github.com:jespersm/qunit.git                                                $# $@
register_remote test/qunit                                                    jinhuatang                               git@github.com:jinhuatang/qunit.git                                              $# $@
register_remote test/qunit                                                    jnbhw                                    git@github.com:jnbhw/qunit.git                                                   $# $@
register_remote test/qunit                                                    jonnyreeves                              git@github.com:jonnyreeves/qunit.git                                             $# $@
register_remote test/qunit                                                    jquery                                   git@github.com:jquery/qunit.git                                                  $# $@
register_remote test/qunit                                                    jquery-original                          git@github.com:jquery/qunit.git                                                  $# $@
register_remote test/qunit                                                    jsanchezpando                            git@github.com:jsanchezpando/qunit.git                                           $# $@
register_remote test/qunit                                                    jseanxu                                  git@github.com:jseanxu/qunit.git                                                 $# $@
register_remote test/qunit                                                    jtaby                                    git@github.com:jtaby/spade-qunit.git                                             $# $@
register_remote test/qunit                                                    jupiterjs                                git@github.com:jupiterjs/qunit.git                                               $# $@
register_remote test/qunit                                                    jwagner                                  git@github.com:jwagner/qunit.git                                                 $# $@
register_remote test/qunit                                                    kassens                                  git@github.com:kassens/qunit.git                                                 $# $@
register_remote test/qunit                                                    kategengler                              git@github.com:kategengler/qunit.git                                             $# $@
register_remote test/qunit                                                    keithamus                                git@github.com:keithamus/qunit.git                                               $# $@
register_remote test/qunit                                                    kensnyder                                git@github.com:kensnyder/qunit.git                                               $# $@
register_remote test/qunit                                                    kinogam                                  git@github.com:kinogam/qunit.git                                                 $# $@
register_remote test/qunit                                                    kof                                      git@github.com:kof/qunit.git                                                     $# $@
register_remote test/qunit                                                    leedavidr                                git@github.com:leedavidr/qunit.git                                               $# $@
register_remote test/qunit                                                    leeoniya                                 git@github.com:leeoniya/qunit.git                                                $# $@
register_remote test/qunit                                                    leobalter                                git@github.com:leobalter/qunit.git                                               $# $@
register_remote test/qunit                                                    lessmad                                  git@github.com:lessmad/qunit.git                                                 $# $@
register_remote test/qunit                                                    lfryc                                    git@github.com:lfryc/qunit.git                                                   $# $@
register_remote test/qunit                                                    lonewolf123456                           git@github.com:lonewolf123456/qunit.git                                          $# $@
register_remote test/qunit                                                    lukaso                                   git@github.com:lukaso/qunit.git                                                  $# $@
register_remote test/qunit                                                    marc-portier                             git@github.com:marc-portier/qunit.git                                            $# $@
register_remote test/qunit                                                    markelog                                 git@github.com:markelog/qunit.git                                                $# $@
register_remote test/qunit                                                    mayko780                                 git@github.com:mayko780/qunit.git                                                $# $@
register_remote test/qunit                                                    mckoss                                   git@github.com:mckoss/qunit.git                                                  $# $@
register_remote test/qunit                                                    mduvall                                  git@github.com:mduvall/qunit.git                                                 $# $@
register_remote test/qunit                                                    mefcorvi                                 git@github.com:mefcorvi/qunit.git                                                $# $@
register_remote test/qunit                                                    mikeplavsky                              git@github.com:mikeplavsky/qunit.git                                             $# $@
register_remote test/qunit                                                    mikesherov                               git@github.com:mikesherov/qunit.git                                              $# $@
register_remote test/qunit                                                    milimetric                               git@github.com:milimetric/qunit.git                                              $# $@
register_remote test/qunit                                                    mimshwright                              git@github.com:mimshwright/qunit.git                                             $# $@
register_remote test/qunit                                                    mixonic                                  git@github.com:mixonic/qunit.git                                                 $# $@
register_remote test/qunit                                                    mootoh                                   git@github.com:mootoh/qunit.git                                                  $# $@
register_remote test/qunit                                                    mpareja                                  git@github.com:mpareja/qunit.git                                                 $# $@
register_remote test/qunit                                                    niallsmart                               git@github.com:niallsmart/qunit.git                                              $# $@
register_remote test/qunit                                                    pamelafox                                git@github.com:pamelafox/qunit.git                                               $# $@
register_remote test/qunit                                                    paulelliott                              git@github.com:paulelliott/qunit.git                                             $# $@
register_remote test/qunit                                                    phae                                     git@github.com:phae/qunit.git                                                    $# $@
register_remote test/qunit                                                    pjezek                                   git@github.com:pjezek/qunit.git                                                  $# $@
register_remote test/qunit                                                    qxjit                                    git@github.com:qxjit/qunit.git                                                   $# $@
register_remote test/qunit                                                    redexp                                   git@github.com:redexp/qunit.git                                                  $# $@
register_remote test/qunit                                                    righi                                    git@github.com:righi/qunit.git                                                   $# $@
register_remote test/qunit                                                    rodneyrehm                               git@github.com:rodneyrehm/qunit.git                                              $# $@
register_remote test/qunit                                                    royriojas                                git@github.com:royriojas/qunit.git                                               $# $@
register_remote test/qunit                                                    rpl                                      git@github.com:rpl/qunit.git                                                     $# $@
register_remote test/qunit                                                    runeh                                    git@github.com:runeh/qunit.git                                                   $# $@
register_remote test/qunit                                                    rwaldron                                 git@github.com:rwaldron/qunit.git                                                $# $@
register_remote test/qunit                                                    scalableminds                            git@github.com:scalableminds/qassert.git                                         $# $@
register_remote test/qunit                                                    scottgonzalez                            git@github.com:scottgonzalez/qunit.git                                           $# $@
register_remote test/qunit                                                    simula-innovation                        git@github.com:simula-innovation/qunit.git                                       $# $@
register_remote test/qunit                                                    smira                                    git@github.com:smira/qunit.git                                                   $# $@
register_remote test/qunit                                                    smith                                    git@github.com:smith/qunit.git                                                   $# $@
register_remote test/qunit                                                    spocke                                   git@github.com:spocke/qunit.git                                                  $# $@
register_remote test/qunit                                                    srikarchowdary                           git@github.com:srikarchowdary/qunit.git                                          $# $@
register_remote test/qunit                                                    stereobooster                            git@github.com:stereobooster/qunit.git                                           $# $@
register_remote test/qunit                                                    taguchimail                              git@github.com:taguchimail/qunit.git                                             $# $@
register_remote test/qunit                                                    takaaki-kasai                            git@github.com:takaaki-kasai/qunit.git                                           $# $@
register_remote test/qunit                                                    thatcher                                 git@github.com:thatcher/qunit.git                                                $# $@
register_remote test/qunit                                                    theasta                                  git@github.com:theasta/qunit.git                                                 $# $@
register_remote test/qunit                                                    tomdale                                  git@github.com:tomdale/spade-qunit.git                                           $# $@
register_remote test/qunit                                                    twada                                    git@github.com:twada/qunit.git                                                   $# $@
register_remote test/qunit                                                    u1fukui                                  git@github.com:u1fukui/qunit.git                                                 $# $@
register_remote test/qunit                                                    vernonk                                  git@github.com:vernonk/qunit.git                                                 $# $@
register_remote test/qunit                                                    vincent-psarga                           git@github.com:vincent-psarga/qunit.git                                          $# $@
register_remote test/qunit                                                    vivin                                    git@github.com:vivin/qunit.git                                                   $# $@
register_remote test/qunit                                                    willmoffat                               git@github.com:willmoffat/qunit.git                                              $# $@
register_remote test/qunit                                                    wwalser                                  git@github.com:wwalser/qunit.git                                                 $# $@
register_remote test/qunit                                                    xirzec                                   git@github.com:xirzec/qunit.git                                                  $# $@
register_remote test/qunit                                                    xuld                                     git@github.com:xuld/qunit.git                                                    $# $@
register_remote test/qunit                                                    zhaoz                                    git@github.com:zhaoz/qunit.git                                                   $# $@



popd                                                                            2> /dev/null   > /dev/null

